import React from 'react';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import { CodemirrorMultilineEditor } from '@mongodb-js/compass-editor';
import type { Validation, ValidationLevel, ValidationServerAction, ValidationState } from '../../modules/validation';
export type ValidationCodeEditorProps = Pick<React.ComponentProps<typeof CodemirrorMultilineEditor>, 'onChangeText' | 'readOnly'> & {
    namespace: string;
    text: string;
    serverVersion: string;
};
export type ValidationEditorProps = {
    namespace: string;
    clearSampleDocuments: () => void;
    validatorChanged: (text: string) => void;
    validationActionChanged: (action: ValidationServerAction) => void;
    validationLevelChanged: (level: ValidationLevel) => void;
    cancelValidation: () => void;
    saveValidation: (text: Validation) => void;
    serverVersion: string;
    validation: Pick<ValidationState, 'validator' | 'validationAction' | 'validationLevel' | 'isChanged' | 'syntaxError' | 'error'>;
    isEditable: boolean;
    darkMode?: boolean;
    logger: LoggerAndTelemetry;
};
declare const _default: React.FunctionComponent<Omit<ValidationEditorProps | (ValidationEditorProps & {
    children?: React.ReactNode;
}), "logger">>;
export default _default;
//# sourceMappingURL=validation-editor.d.ts.map