import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ValidationEditor from '../validation-editor';
export declare const READ_ONLY_WARNING: {
    collectionTimeSeries: string;
    collectionReadOnly: string;
    writeStateStoreReadOnly: string;
    oldServerReadOnly: string;
};
export interface ValidationStatesProps extends Omit<React.ComponentProps<typeof ValidationEditor>, 'isEditable'> {
    isZeroState: boolean;
    isLoaded: boolean;
    changeZeroState: (value: boolean) => void;
    editMode: {
        collectionTimeSeries?: boolean;
        collectionReadOnly?: boolean;
        writeStateStoreReadOnly?: boolean;
        oldServerReadOnly?: boolean;
    };
    readOnly: boolean;
}
declare class ValidationStates extends Component<ValidationStatesProps> {
    static displayName: string;
    static propTypes: {
        isZeroState: PropTypes.Validator<boolean>;
        isLoaded: PropTypes.Validator<boolean>;
        changeZeroState: PropTypes.Validator<(...args: any[]) => any>;
        editMode: PropTypes.Validator<object>;
        serverVersion: PropTypes.Requireable<string>;
        readOnly: PropTypes.Requireable<boolean>;
    };
    renderBanner(): JSX.Element | undefined;
    isEditable(): boolean;
    renderZeroState(): JSX.Element | undefined;
    renderContent(): JSX.Element | undefined;
    render(): JSX.Element;
}
export default ValidationStates;
//# sourceMappingURL=validation-states.d.ts.map