import type { Action, AnyAction } from 'redux';
import type { NamespaceAction, NamespaceState } from './namespace';
import type { ServerVersionAction, ServerVersionState } from './server-version';
import type { ValidationAction, ValidationState } from './validation';
import type { SampleDocumentAction, SampleDocumentState } from './sample-documents';
import type { IsZeroStateAction, IsZeroStateState } from './zero-state';
import type { IsLoadedAction, IsLoadedState } from './is-loaded';
import type { EditModeAction, EditModeState } from './edit-mode';
import type { ThunkAction } from 'redux-thunk';
import type { PreferencesAccess } from 'compass-preferences-model';
import type { DataService } from 'mongodb-data-service';
import type AppRegistry from 'hadron-app-registry';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
export declare const RESET: "validation/reset";
interface ResetAction {
    type: typeof RESET;
}
export interface RootState {
    namespace: NamespaceState;
    serverVersion: ServerVersionState;
    validation: ValidationState;
    sampleDocuments: SampleDocumentState;
    isZeroState: IsZeroStateState;
    isLoaded: IsLoadedState;
    editMode: EditModeState;
}
export type RootAction = NamespaceAction | ServerVersionAction | ValidationAction | SampleDocumentAction | IsZeroStateAction | IsLoadedAction | EditModeAction | ResetAction;
export type SchemaValidationExtraArgs = {
    dataService: Pick<DataService, 'aggregate' | 'collectionInfo' | 'updateCollection'>;
    preferences: PreferencesAccess;
    globalAppRegistry: AppRegistry;
    logger: LoggerAndTelemetry;
};
export type SchemaValidationThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, SchemaValidationExtraArgs, A>;
export declare const INITIAL_STATE: RootState;
export declare const reset: () => ResetAction;
declare const rootReducer: (state: RootState | undefined, action: RootAction) => RootState;
export default rootReducer;
//# sourceMappingURL=index.d.ts.map